/******************************************
 * Camera Tracking                        *
 * Tutor: Paolo Pasteris                  *
 * Progetto Multimediale 11/12 Unimi      *
 ******************************************/
import codeanticode.gsvideo.*;
GSMovieMaker mm;
PImage back,front;
int count,fps,maxFrame;
String fileNameBack,fileNameFront,fileNameOut,extension;
void setup() {
  fps = 10;
  size(640,480);
  background(0);
  frameRate(fps);
  
  mm = new GSMovieMaker(this, width, height, "BlendFrames1.ogg",
                        GSMovieMaker.THEORA, GSMovieMaker.HIGH,
                        fps);
  mm.start();
  count=0;
  maxFrame=99;
  fileNameBack="frame-";
  //fileNameFront="cube-";
  fileNameFront="mini";
  fileNameOut="out/final-";
  extension=".png";  
}
void draw(){
  back = loadImage(fileNameBack+String.format("%04d",count)+extension);
  //front = loadImage(fileNameFront+String.format("%02d",count)+extension);
  front = loadImage(fileNameFront+String.format("%03d",count)+extension);
  
  image(back,0,0);
  image(front,0,0);
  mm.addFrame(get().pixels);
  saveFrame(fileNameOut+String.format("%04d",count)+extension);
  count++;
  if(count > maxFrame){
    mm.finish();
    exit();
  }
}

